WP1ContentParsingState Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
WP1ContentParsingState Struct Reference

`#include <WP1ContentListener.h>`

## Public Member Functions
| WP1ContentParsingState ()
| ~WP1ContentParsingState ()

## Public Attributes
librevenge::RVNGString | m_textBuffer
int | m_numDeferredTabs
int | m_footNoteNumber
int | m_endNoteNumber

## Private Member Functions
| WP1ContentParsingState (const WP1ContentParsingState &)
WP1ContentParsingState & | operator= (const WP1ContentParsingState &)

## Constructor & Destructor Documentation

WP1ContentParsingState::WP1ContentParsingState | ( |  | ) |

WP1ContentParsingState::~WP1ContentParsingState | ( |  | ) |

WP1ContentParsingState::WP1ContentParsingState | ( | const WP1ContentParsingState & |  | ) |
| private

## Member Function Documentation

WP1ContentParsingState& WP1ContentParsingState::operator= | ( | const WP1ContentParsingState & |  | ) |
| private

## Member Data Documentation

int WP1ContentParsingState::m_endNoteNumber

Referenced by WP1ContentListener::insertNote().

int WP1ContentParsingState::m_footNoteNumber

Referenced by WP1ContentListener::insertNote().

int WP1ContentParsingState::m_numDeferredTabs

Referenced by WP1ContentListener::centerOn(), WP1ContentListener::flushRightOn(), WP1ContentListener::insertCharacter(), WP1ContentListener::insertEOL(), WP1ContentListener::insertExtendedCharacter(), WP1ContentListener::insertTab(), WP1ContentListener::leftIndent(), WP1ContentListener::leftMarginRelease(), and WP1ContentListener::leftRightIndent().

librevenge::RVNGString WP1ContentParsingState::m_textBuffer

Referenced by WP1ContentListener::_flushText(), WP1ContentListener::insertCharacter(), and WP1ContentListener::insertExtendedCharacter().

The documentation for this struct was generated from the following files:

- WP1ContentListener.h
- WP1ContentListener.cpp